/** @type {import('nightwatch').NightwatchOptions} */

const config = require('./config/config.json');

module.exports = {
	src_folders: 'tests/',
	output_folder: false,
	start_process: false,
	test_settings: {
		localhost: {
			launch_url: 'http://10.3.0.2:6006',
			selenium_port: 4444,
			selenium_host: '10.3.0.3',
			screenshots: {
				enabled: true,
				on_failure: true,
				on_error: true,
				path: 'tests/.nightwatchjs/output',
			},
			desiredCapabilities: {
				browserName: 'chrome',
				chromeOptions: {
					args: ['no-sandbox'],
				},
			},
		},
		ci: {
			launch_url: 'http://10.5.0.2:' + config.E2E_PORT,
			selenium_port: 4444,
			selenium_host: '10.0.1.21',
			desiredCapabilities: {
				chromeOptions: {
					args: ['headless', 'no-sandbox'],
				},
			},
		},
	},
};
