import React, { FC, useCallback } from 'react';

import { Calendar } from '../../Calendar';
import { ModalId } from '../../Modal/context';

export type DatePickerModalProps = {
	closeModal: () => void;
	format: ModalId;
	name: ModalId;
	onChange: (value: Date) => void;
	value: Date | undefined;
};

export const DatePickerModal: FC<DatePickerModalProps> = (props) => {
	const { onChange, closeModal, value } = props;

	const setActiveOption = useCallback(
		(value: Date) => {
			onChange?.(value);
			closeModal();
		},
		[onChange, closeModal],
	);

	return <Calendar selected={value ?? undefined} value={value} onClick={setActiveOption} enableHover />;
};
