import { useContext } from 'react';

import { Modal, ModalContext } from './context';

export const useModal = <P>(id?: Modal<P>['id'], options?: Omit<Modal<P>, 'id'>) => {
	const { registered, close, open, opened, register, unregister } = useContext(ModalContext);
	return [
		(newOptions?: Omit<Modal<P>, 'id'>) =>
			open(id!, {
				...options,
				...newOptions,
			}),
		() => close(id!),
		{
			modals: registered,
			opened: opened,
			openModal: open,
			closeModal: close,
			registerModal: register,
			unregisterModal: unregister,
		},
	] as const;
};
