import React from 'react';
import clsx from 'clsx';

import { InnerOptionsProps, OptionViewProps } from '../RadioButton';

export const CustomOptions: React.FC<OptionViewProps & InnerOptionsProps> = ({
	option: { code, name, disabled },
	onClick,
	value,
	icons
}) => {
	return (
		<div
			onClick={(e) => (!disabled ? onClick(code, e) : null)}
			className={clsx('field-radiobutton', {
				'field-radiobutton--active': value === code,
				'field-radiobutton--disabled': disabled
			})}>
			{icons?.[code]}
			<div className="ml-2">{name}</div>
		</div>
	);
};
