import React, { FC, ReactNode } from 'react';
import clsx from 'clsx';

export type TableCellProps = {
	children?: ReactNode;
	className?: string;
	title?: ReactNode;
};

export const TableCell: FC<TableCellProps> = ({ children, className, title }) => {
	return (
		<div className={clsx('tablek-cell sm-m:block', className)} data-title={title}>
			{children}
		</div>
	);
};
