import React from 'react';
import clsx from 'clsx';

type IProps = {
	children: React.ReactElement[];
	className?: string;
	nthStyle?: boolean;
};

const TableRow = ({ nthStyle, children, className }: IProps) => {
	return (
		<div
			className={clsx(
				'tablek-row',
				{
					'tablek-row--nth-style': nthStyle,
				},
				className
			)}
		>
			{children}
		</div>
	);
};

export default TableRow;
