import { csCZ } from './dictionary/cs-CZ';
import { enGB } from './dictionary/en-GB';

export const resources = {
	cs: csCZ,
	en: enGB,
};

export class Language {
	private locale: string;
	private resource: Record<string, Record<string, any>>;

	public constructor() {
		this.locale = 'en';
		this.resource = resources;
	}

	public setup(lang: string, resources: Record<string, Record<string, any>>) {
		this.locale = lang;
		this.resource = resources;
		this.resource = {
			...this.resource,
			...resources,
		};
	}

	public addResource<D>(lang: string, resource: D) {
		this.resource = {
			...this.resource,
			[lang]: {
				...this.resource[lang],
				...(resource as Record<string, any>),
			},
		};
	}

	public setLocale(val: string) {
		this.locale = val;
	}

	public getLocale() {
		return this.locale;
	}

	public getLocaleResource(locale: string) {
		return this.resource[locale];
	}
}

export const lang = new Language();
