import React, { FC } from 'react';
import { Router, useLocation, useRouter } from 'wouter';

export type RouterProps = {
	base: string;
	children: any;
};

export const NestedRouter: FC<RouterProps> = ({ base, children }) => {
	const router = useRouter();
	const [location] = useLocation();
	return location.startsWith(base) ? <Router base={router.base + base}>{children}</Router> : null;
};
