import React from 'react';
import { configureStore } from '@reduxjs/toolkit';
import { Provider } from 'react-redux';

import TodoApi from './api';

const store = configureStore({
	reducer: {
		[TodoApi.reducerPath]: TodoApi.reducer,
	},
	middleware: (gDM) => gDM().concat(TodoApi.middleware),
	devTools: true,
});

const StoreProvider: React.FC<{ children: React.ReactChild }> = ({ children }) => (
	<Provider store={store}>{children}</Provider>
);

export default StoreProvider;
