import React from 'react';
import { times } from 'ramda';
import { addMinutes, format } from 'date-fns';

import { HourView } from './HourView';

export const TimeColumn = () => {
	return (
		<div className="mt-8">
			<div className="h-8" />
			{times(
				(i) => (
					<HourView key={i} className="text-right text-xs pt-0.5 mr-3">
						{format(addMinutes(new Date(0, 0, 0, 8, 0), 30 * i), 'kk:mm')}
					</HourView>
				),
				16
			)}
		</div>
	);
};
