import React, { FC } from 'react';

import { StatusEnum } from '@procyon/types/enums';

import { Button } from '../../Button';
import { Modal } from '../context';
import { useModal } from '../useModal';

export type AddModalButtonProps = {
	modalTitle: string;
	status?: StatusEnum;
	title: string;
} & Modal<any>;

export const AddModalButton: FC<AddModalButtonProps> = ({ status, title, ...props }) => {
	const [openModal] = useModal(props.id, {
		...props,
		title: props.modalTitle,
	});
	return <Button label={title} onClick={openModal} status={status} />;
};
