import React, { FC } from 'react';
import clsx from 'clsx';

import { StatusEnum } from '@procyon/types/enums';

export type ValidationMessageProps = {
	message: string | undefined;
	type: StatusEnum;
};

export const ValidationMessage: FC<ValidationMessageProps> = ({ message, type }) => {
	return (
		<div
			className={clsx('field-validationmessage', {
				'field-validationmessage--none': type === StatusEnum.none,
				'field-validationmessage--info': type === StatusEnum.info,
				'field-validationmessage--warning': type === StatusEnum.warning,
				'field-validationmessage--success': type === StatusEnum.success
			})}>
			{message}
		</div>
	);
};
