import React from 'react';
import { Meta, StoryObj } from '@storybook/react';

import { Placeholder } from '@procyon/api/components/Placeholder/Placeholder';
import { BlockPlaceholder } from '@procyon/api/components/Placeholder/shapes/Block';
import { TablePlaceholder } from '@procyon/api/components/Placeholder/shapes/Table';

type Story = StoryObj<typeof Placeholder>;

export default {
	component: Placeholder,
	argTypes: {
		placeholder: {
			control: { type: null },
			description: 'Custom React component',
		},
	},
	parameters: {
		docs: {
			description: {
				component: "`import { FetchLoader } from '@procyon/components/Loader';`",
			},
		},
	},
	tags: ['autodocs'],
} as Meta;

export const Table: Story = {
	args: {
		active: true,
		children: 'children',
		component: <TablePlaceholder />,
	},
};

export const Block: Story = {
	args: {
		active: true,
		children: 'children',
		component: <BlockPlaceholder />,
	},
};
