import React from 'react';

import { Placeholder } from '@procyon/api/components/Placeholder/Placeholder';
import { Button } from '@procyon/components/Button';
import { Grid, GridSizeEnum } from '@procyon/components/Grid';
import { GridCol } from '@procyon/components/GridCol';
import { StatusEnum } from '@procyon/types/enums';

import { useLazyGetTodosQuery } from './api';
import { CustomPlaceholder } from './CustomPlaceholder';

const { md } = GridSizeEnum;

export const Component = (): React.ReactElement => {
	const [getTodos, { isFetching, data }] = useLazyGetTodosQuery();

	const handleFetch = async () => {
		await getTodos(1);
	};

	return (
		<>
			<Grid cols={{ [md]: 4 }}>
				<GridCol>
					<Button status={StatusEnum.warning} label="Odeslat" onClick={handleFetch} disabled={isFetching} />
				</GridCol>
			</Grid>
			<Placeholder active={isFetching} component={<CustomPlaceholder />}>
				<pre>{JSON.stringify(data, undefined, 2)}</pre>
			</Placeholder>
		</>
	);
};
