import React, { FC } from 'react';
import { useLocation } from 'wouter';

import { useFetchTokens } from '@procyon/auth/hook/useFetchTokens';
import { useLogin } from '@procyon/auth/hook/useLogin';

const authConfig = {
	baseUrl: 'http://keycloak.local',
	clientId: 'client_id',
	tokenEndpoint: '/realm/localdev/token',
	authEndpoint: '/realm/localdev/auth',
	redirectUri: 'http://localhost:3330/login/callback',
	logoutEndpoint: '/realm/localdev/logout',
};

export const Component: FC = () => {
	const [location] = useLocation();

	const doLogin = useLogin(authConfig);
	const obtainTokens = useFetchTokens(authConfig);

	if (location === '/login/callback') {
		const params = new URLSearchParams(window.location.href);
		const code = params.get('code') ?? null;
		if (code) {
			obtainTokens(code);
		}
		return null;
	}

	return (
		<>
			<button onClick={doLogin}>login</button>
		</>
	);
};
