import React, { FC } from 'react';
import { format } from 'date-fns';

import { CalendarCellProps } from '@procyon/components/Calendar/components/CalendarCell';
import { CalendarDay } from '@procyon/components/Calendar/components/CalendarDay';

export const MonthView: FC<CalendarCellProps> = (props) => (
	<div className="calendar-cell">
		<div className="p-1 h-24">
			<CalendarDay {...props} enableHover={false} className="w-8">
				{format(props.date ?? new Date(), 'dd')}
			</CalendarDay>
		</div>
	</div>
);
