import { StoryObj } from '@storybook/react';

import { Checkbox } from '@procyon/components/Checkbox';

type Story = StoryObj<typeof Checkbox>;

export default {
	component: Checkbox,
	parameters: {
		docs: {
			description: {
				component: "`import Checkbox from '@procyon/components/Checkbox';`",
			},
		},
	},
	tags: ['autodocs'],
};

export const Default: Story = {
	args: {
		label: 'Classic checkbox',
	},
};

export const WithLabel: Story = {
	args: {
		label: 'Classic checkbox',
		description: 'Checkbox value',
	},
};

export const WithoutLabel: Story = {
	args: {
		description: 'Checkbox value',
	},
};

export const Checked: Story = {
	args: {
		label: 'Classic checkbox',
		checked: true,
	},
};
