import React from 'react';
import { action } from '@storybook/addon-actions';
import { Meta, StoryObj } from '@storybook/react';

import { DatePicker } from '@procyon/components/DatePicker';
import { Modals } from '@procyon/components/Modal';
import { ModalWrapper } from '@procyon/components/Modal/context';

type Story = StoryObj<typeof DatePicker>;

const description = `
\`import DatePicker from '@procyon/components/DatePicker';\`

You need to wrap this component with \`ModalWrapper\` component.
`;

const meta: Meta<typeof DatePicker> = {
	component: DatePicker,
	parameters: {
		docs: {
			description: {
				component: description,
			},
		},
	},
	tags: ['autodocs'],
	decorators: [
		(Story) => (
			<div style={{ height: '30rem' }}>
				<ModalWrapper>
					<Story />
					<Modals />
				</ModalWrapper>
			</div>
		),
	],
};

export const Default: Story = {
	args: {
		name: 'datePicker',
		label: 'Choose date',
		onClick: action('click'),
	},
};

export default meta;
