import { Meta, StoryObj } from '@storybook/react';

import List from '@procyon/components/List';

type Story = StoryObj<typeof List>;

export default {
	component: List,
	parameters: {
		docs: {
			description: {
				component: "`import List from '@procyon/components/List';`",
			},
		},
	},
	tags: ['autodocs'],
} as Meta;

export const Default: Story = {
	args: {
		options: [
			{ name: 'List 1', code: 'list1' },
			{ name: 'List 2', code: 'list2' },
			{ name: 'List 3', code: 'list3' },
		],
	},
};

export const WithDescription: Story = {
	args: {
		options: [
			{ name: 'List 1', code: 'list1', description: 'descriptoin1' },
			{ name: 'List 2', code: 'list2', description: 'descriptoin2' },
			{ name: 'List 3', code: 'list3', description: 'descriptoin3' },
		],
	},
};
