import type { StoryObj } from '@storybook/react';

import { Message } from '@procyon/components/Message';
import { StatusEnum } from '@procyon/types/enums';

type Story = StoryObj<typeof Message>;

export default {
	parameters: {
		docs: {
			description: {
				component: "`import Message from '@procyon/components/Message';`"
			}
		}
	},
	tags: ['autodocs'],
	component: Message
};

export const Default: Story = {
	args: {
		children: 'Default message',
		status: StatusEnum.none
	}
};

export const Success: Story = {
	args: {
		title: 'Success message',
		children: 'Message body',
		status: StatusEnum.success
	}
};

export const Info: Story = {
	args: {
		title: 'Info message',
		children: 'Message body',
		status: StatusEnum.info
	}
};

export const Warning: Story = {
	args: {
		title: 'Warning message',
		children: 'Message body',
		status: StatusEnum.warning
	}
};

export const Error: Story = {
	args: {
		title: 'Error message',
		children: 'Message body',
		status: StatusEnum.error
	}
};
