import React from 'react';
import { Meta, StoryObj } from '@storybook/react';

import { Section } from '@procyon/components/Section';
import { Text } from '@procyon/components/Text';
import { SizeEnum } from '@procyon/types/enums';

type Story = StoryObj<typeof Section>;

export default {
	component: Section,
	parameters: {
		docs: {
			description: {
				component: "`import Section from '@procyon/components/Section';`",
			},
		},
	},
	tags: ['autodocs'],
} as Meta;

export const Default: Story = {
	args: {
		Title: <Text>Section</Text>,
		children: 'Content',
	},
};

export const WithoutTitle: Story = {
	args: {
		children: 'Content',
	},
};

export const Medium: Story = {
	args: {
		Title: <Text size={SizeEnum.md}>Section</Text>,
		children: 'content',
	},
};

export const Large: Story = {
	args: {
		Title: <Text size={SizeEnum.lg}>Section</Text>,
		children: 'content',
	},
};

export const ExtraLarge: Story = {
	args: {
		Title: <Text size={SizeEnum.xl}>Section</Text>,
		children: 'content',
	},
};
