import React from 'react';
import { Meta, StoryObj } from '@storybook/react';

import { Text } from '@procyon/components/Text';
import { SizeEnum } from '@procyon/types/enums';

type Story = StoryObj<typeof Text>;

export default {
	component: Text,
	decorators: [
		(Story) => (
			<>
				<Story />
				content
			</>
		),
	],
	parameters: {
		docs: {
			description: {
				component: "`import { Text } from '@procyon/components/Text';`",
			},
		},
	},
	tags: ['autodocs'],
} as Meta;

export const Default: Story = {
	args: {
		children: 'Default Text',
	},
};

export const Standard: Story = {
	args: {
		children: 'Head title',
		size: SizeEnum.sm,
	},
};

export const Middle: Story = {
	args: {
		children: 'Head title',
		size: SizeEnum.md,
	},
};

export const Large: Story = {
	args: {
		children: 'Head title',
		size: SizeEnum.lg,
	},
};

export const ExtraLarge: Story = {
	args: {
		children: 'Head title',
		size: SizeEnum.xl,
	},
};
