import React from 'react';
import { Meta, StoryObj } from '@storybook/react';

import { lang } from '@procyon/localization/init';

import { Example } from './Example';

const meta: Meta<typeof Example> = {
	title: 'Localization/Basic',
	component: Example,
	decorators: [
		(Story, context) => {
			const { locale } = context.globals;
			lang.setLocale(locale);
			return <Story />;
		},
	],
};

export default meta;

type Story = StoryObj<typeof Example>;

export const Basic: Story = {
	args: {},
};
