import React from 'react';
import { Meta, StoryObj } from '@storybook/react';

import { lang } from '@procyon/localization/init';

import { PlularExample } from './PlularExample';

const meta: Meta<typeof PlularExample> = {
	title: 'Localization/Plular',
	component: PlularExample,
	decorators: [
		(Story, context) => {
			const { locale } = context.globals;
			lang.setLocale(locale);
			return <Story />;
		},
	],
};

export default meta;

type Story = StoryObj<typeof PlularExample>;

export const Plular: Story = {
	args: {},
};
