import React from 'react';

import { lang } from '@procyon/localization/init';
import { t as trjT } from '@procyon/localization/message';

type Dictionary = {
	char: string;
	char_2: string;
	char_5: string;
	plular?: {
		example: string;
		example2: string;
		example3: string;
	};
};

const enGB = {
	plular: {
		example: 'Word "Example" has {{count}} {{char}}.',
		example2: 'Word "Or" has {{count}} {{char}}.',
		example3: 'Word "a" has {{count}} {{char}}.',
	},
	char: 'char',
	char_2: 'chars',
	char_5: 'chars',
};

const csCZ = {
	plular: {
		example: 'Slovo "Example" má {{count}} {{char}}.',
		example2: 'Slovo "Or" má {{count}} {{char}}.',
		example3: 'Slovo "a" má {{count}} {{char}}.',
	},
	char: 'znak',
	char_2: 'znaky',
	char_5: 'znaků',
};

const t = trjT<Dictionary>

export const PlularExample = () => {
	lang.addResource<Dictionary>('en', enGB);
	lang.addResource<Dictionary>('cs', csCZ);

	return (
		<div>
			<div>{t('plular.example', { count: 7, char: 7 })}</div>
			<br />
			<div>{t('plular.example2', { count: 2, char: 2 })}</div>
			<br />
			<div>{t('plular.example3', { count: 1, char: 1 })}</div>
		</div>
	);
};
